package com.energy.manage.common.po.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;
import java.util.Objects;

/**
 * 分析类型表
 * @author chy
 * @date 2024/5/23 12:51
 * @desc
 */
@Table(name = "analysis_type")
@Data
@Accessors(chain = true)
public class AnalysisTypePo {

    /**
     * 主键
     */
    private Long id ;

    /**
     * 分析类型父级编号
     */
    private String parentId ;

    /**
     * 分析类型编号
     */
    private String typeCode ;

    /**
     * 分析类型名称
     */
    private String typeName ;

    /**
     * 分析类型标识
     */
    private String typeFlag ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    private Date createTime ;

    @Override
    public int hashCode() {
        return Objects.hash(typeCode,typeName);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null || getClass() != obj.getClass()) return false;
        AnalysisTypePo vo = (AnalysisTypePo) obj;
        return Objects.equals(typeCode, vo.typeCode) &&
                Objects.equals(typeName, vo.typeName);
    }

}
